package com.kingdee.eas.custom.facade;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SickQuotaFacadeFactory
{
    private SickQuotaFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.ISickQuotaFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.ISickQuotaFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("9E9DE998") ,com.kingdee.eas.custom.facade.ISickQuotaFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.ISickQuotaFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.ISickQuotaFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("9E9DE998") ,com.kingdee.eas.custom.facade.ISickQuotaFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.ISickQuotaFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.ISickQuotaFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("9E9DE998"));
    }
    public static com.kingdee.eas.custom.facade.ISickQuotaFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.ISickQuotaFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("9E9DE998"));
    }
}